Update Product
curl --request PUT \
--url https://api.zenflow.com.ar/api/v1/products/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"category": "<string>",
"description": "<string>",
"price": 123,
"weight": 123,
"photo_url": "<string>"
}
'import requests
url = "https://api.zenflow.com.ar/api/v1/products/{id}"
payload = {
"name": "<string>",
"category": "<string>",
"description": "<string>",
"price": 123,
"weight": 123,
"photo_url": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: '<string>',
description: '<string>',
price: 123,
weight: 123,
photo_url: '<string>'
})
};
fetch('https://api.zenflow.com.ar/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Products
Update Product
Update an existing product
PUT
/
api
/
v1
/
products
/
{id}
Update Product
Update Product
Update an existing product’s details.Requires
write:products scope.Request
PUT /api/v1/products/{id}
Path Parameters
integer
required
The product ID
Body Parameters
All fields are optional. Only include fields you want to update.string
Product name
string
Product category
string
Product description
number
Unit price
number
Weight in kg
string
Product image URL
Example
curl -X PUT "https://api.zenflow.com.ar/api/v1/products/100" \
-H "X-API-Key: zenflow_live_your_key" \
-H "Content-Type: application/json" \
-d '{
"price": 34.99,
"category": "Premium Electronics"
}'
Response
{
"success": true,
"data": {
"id": 100,
"barcode": "7891234567890",
"name": "Widget A",
"category": "Premium Electronics",
"price": 34.99,
"updated_at": "2024-01-14T15:30:00Z"
}
}
⌘I

